Package mssql.googlecode.cityhash

## Class CityHash

- java.lang.Object
- - mssql.googlecode.cityhash.CityHash

    public final class CityHash
    extends Object

Copyright (C) 2012 tamtam180 Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Author:
  tamtam180 - kirscheless at gmail.com
See Also:
  http://google-opensource.blogspot.jp/2011/04/introducing-cityhash.html, http://code.google.com/p/cityhash/

### Constructor Summary

Constructors
`CityHash()`

### Method Summary

All Methods Static Methods Concrete Methods
`static long[]` `cityHash128​(byte[] s, int pos, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CityHash

    public CityHash()

### Method Detail

#### cityHash128

    public static long[] cityHash128​(byte[] s,
                                     int pos,
                                     int len)